LibreOffice LibreOffice 24.8 SDK API Reference

Loading...
Searching...
No Matches
List of all members
GetCreateDialogFactoryService Service Reference

The vcl module uses this to call ::cui::GetFactory() in the cui module. More...

`import <GetCreateDialogFactoryService.idl;`

Inheritance diagram for GetCreateDialogFactoryService:

## Additional Inherited Members
Public Member Functions inherited from XUnoTunnel
hyper | getSomething ([in] sequence< byte > aIdentifier)
| Call this method to get something which is not specified in UNO, e.g.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

The vcl module uses this to call ::cui::GetFactory() in the cui module.

Because we have a dependency in our modules that goes the "wrong" way.

Since
  LibreOffice 24.8

The documentation for this service was generated from the following file:

- com/sun/star/cui/GetCreateDialogFactoryService.idl